<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" version="1.0">
	<xsl:output indent="no" method="text"  encoding="iso-8859-1"/>

<xsl:template match="/">
	<xsl:apply-templates select="beans_cps"/>
</xsl:template>

<xsl:template match="beans_cps">
	
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#


__version__ = "<xsl:value-of select="version"/>"
__doc__ = """<xsl:value-of select="doc"/>"""

import string

from Globals import InitializeClass
from AccessControl import ClassSecurityInfo

from Products.CMFCore.CMFCorePermissions import View, ModifyPortalContent

from Products.NuxCPSDocuments.BaseDocument import BaseDocument, BaseDocument_adder


factory_type_information = (
    {'id': '<xsl:value-of select="fti/id"/>',
     'description': ('<xsl:value-of select="fti/description"/>'),
     'title': '<xsl:value-of select="fti/description"/>'
     'content_icon': '',
     'product': '<xsl:value-of select="fti/product"/>',
     'factory': 'addCPSTutorial',
     'meta_type': '<xsl:value-of select="fti/meta_type"/>',
     'immediate_view': 'CPSTutorial_edit_form',
     'allow_discussion': 1,
     'filter_content_types': 0,
     'actions': ({'id': 'view',
                  'name': '_action_view_',
                  'action': '<xsl:value-of select="fti/skin_action"/>_view',
                  'permissions': (View,)},
                 {'id': 'edit',
                  'name': '_action_modify_',
                  'action': '<xsl:value-of select="fti/skin_action"/>_edit_form',
                  'permissions': (ModifyPortalContent,)},
                 {'id': 'create',
                  'name': '_action_create_',
                  'action': '<xsl:value-of select="fti/skin_action"/>_create_form',
                  'visible': 0,
                  'permissions': ()},
                 {'id': 'isdocument',
                  'name': 'isdocument',
                  'action': 'isdocument',
                  'visible': 0,
                  'permissions': ()},
                 {'id': 'issearchabledocument',
                  'name': 'issearchabledocument',
                  'action': 'issearchabledocument',
                  'visible': 0,
                  'permissions': ()},
                 ),
     },
    )



class <xsl:value-of select="fti/product"/>(BaseDocument):
    """
    <xsl:value-of select="fti/product"/>
    """
    meta_type = '<xsl:value-of select="fti/meta_type"/>'

    security = ClassSecurityInfo()

    _properties = BaseDocument._properties + (<xsl:call-template name="tableau"/>
	)
    <xsl:call-template name="variable"/>)

    security.declareProtected(View, 'SearchableText')
    def SearchableText(self):
        """
        Used by the catalog for basic full text indexing.
        """
        return '%s <xsl:call-template name="pourcentage"/> %s' % (self.title,<xsl:call-template name="indexation"/>
                                self.description)

    <xsl:call-template name="methode"/>


InitializeClass(<xsl:value-of select="fti/product"/>)


def add<xsl:value-of select="fti/product"/>(dispatcher, id, REQUEST=None, **kw):
    """Add a <xsl:value-of select="fti/product"/>."""
    ob = <xsl:value-of select="fti/product"/>(id, **kw)
    return BaseDocument_adder(dispatcher, id, ob, REQUEST=REQUEST)


</xsl:template>

<xsl:template name="variable">
    <xsl:for-each select="class/property">
    <xsl:value-of select="@name"/> = '',
    </xsl:for-each>
</xsl:template>

<xsl:template name="tableau">
    <xsl:for-each select="class/property">
	{'id':'<xsl:value-of select="@name"/>', 'type':'<xsl:value-of select="@type"/>', 'mode':'w', 'label':'<xsl:value-of select="@name"/>'},</xsl:for-each>
</xsl:template>

<xsl:template name="indexation">
    <xsl:for-each select="class/property">
                                self.<xsl:value-of select="@name"/>,</xsl:for-each>
</xsl:template>

<xsl:template name="pourcentage">
    <xsl:for-each select="class/property"> %s </xsl:for-each>
</xsl:template>

<xsl:template name="methode">
    <xsl:for-each select="class/method">
    def <xsl:value-of select="@name"/>(self):
        """
	<xsl:value-of select="@description"/>
	"""
	pass
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
