<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" version="1.0">
	<xsl:output indent="no" method="text"  encoding="iso-8859-1"/>

<xsl:template match="/">
	<xsl:apply-templates select="beans_cps"/>
</xsl:template>


<xsl:template match="beans_cps">

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

__version__ = "<xsl:value-of select="version"/>"
__doc__ = """<xsl:value-of select="doc"/>"""

import sys

from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.CMFCorePermissions import AddPortalContent

from Products.NuxCPSDocuments.BaseDocument import BaseDocument, BaseDocument_adder
import <xsl:value-of select="fti/product"/>


contentClasses = (<xsl:value-of select="fti/product"/>.<xsl:value-of select="fti/product"/>,
                  )

contentConstructors = (
                       <xsl:value-of select="fti/product"/>.<xsl:value-of select="fti/product"/>,
                       )
fti = (
       <xsl:value-of select="fti/product"/>.factory_type_information +
       ()
       )
bases = (<xsl:value-of select="fti/product"/>.<xsl:value-of select="fti/product"/>,) # base zclasses

this_module = sys.modules[__name__]
z_bases = utils.initializeBasesPhase1(bases, this_module)

registerDirectory('skins', globals())

def initialize(registrar):
    utils.initializeBasesPhase2(z_bases, registrar)
    utils.ContentInit(
        '<xsl:value-of select="fti/product"/>',
        content_types = contentClasses,
        permission = AddPortalContent,
        extra_constructors = contentConstructors,
        fti = fti,
        ).initialize(registrar)



</xsl:template>

</xsl:stylesheet>
